import numeric.*;

public class Exm020402 {
	public static void main(String[] args) {
		EquationSolver solverA = new EquationSolver();
		solverA.setTolerance(1E-10);
		solverA.setNumIterations(16);

		EquationSolver solverB = new EquationSolver();
		solverB.setTolerance(1E-10);
		solverB.setNumIterations(16);

/*		Differentiable f = new DiffFuncMult();
		Differentiable mu = new DiffFunc();
*/
		Differentiable f = new DifferentiableFunction(
				x -> Math.exp(x) - x - 1,
				x -> Math.exp(x) - 1);
		Differentiable mu = new DifferentiableFunction(
				x -> f.value(x) / f.derivative(x),
				x -> (Math.pow(f.derivative(x), 2) - f.value(x) * Math.exp(x))
						/ Math.pow(f.derivative(x), 2));

		new EquationDemoView("Metoda e Newton-it", solverA);
		new EquationDemoView("Metoda e Newton-it pr zero t dyfisht", solverB);

		EquationDemoView.setNumSignificantDigits(10);

		try {
			solverA.newton(f, 1.0);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}


		try {
			solverB.newton(mu, 1.0);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
}

/*	private static class DiffFuncMult implements Differentiable {
		public double value(double x) {
			return Math.exp(x) - x - 1;
		}

		public double derivative(double x) {
			return Math.exp(x) - 1;
		}
	}

	private static class DiffFunc implements Differentiable {
		private DiffFuncMult f = new DiffFuncMult(); 
		public double value(double x) {
			return f.value(x) / f.derivative(x);
//			return (Math.exp(x) - x - 1) / (Math.exp(x) - 1);
		}

		public double derivative(double x) {
			return (Math.pow(f.derivative(x), 2) - f.value(x) * Math.exp(x))
					/ Math.pow(f.derivative(x), 2);
//			return (Math.pow(Math.exp(x) - 1, 2)
//						- (Math.exp(x) - x - 1)*Math.exp(x))
//					/ Math.pow(Math.exp(x) - 1, 2);
		}
	}
*/
}
