/**
 * <p>File: DifferentiableFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: December 2020</p>
 * @author Faton M. Berisha
 * @version 6.1.0
 */

import numeric.*;

public class Exm060102 {
	public static void main(String[] args) {
		double[][] coeff1 =
		{{ 1,  1,  1,  4},
		 { 2,  2, 1,  6},
		 { 1, 1, 2,  6}};
		
		double[][] coeff2 =
		{{ 1,  1,  1,  4},
		 { 2,  2, 1,  4},
		 { 1, 1, 2,  6}};

		LinearSystemSolver solver1 = new LinearSystemSolver(coeff1);
		LinearSystemSolver solver2 = new LinearSystemSolver(coeff2);

		new LinearSystemEliminationDemoView("Metoda e Gaussit (Sist. i pacaktuar)", solver1);
		new LinearSystemEliminationDemoView("Metoda e Gaussit (Sist. i pamundur)", solver2);

		try {
			solver1.gauss();
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}

		try {
			solver2.gauss();
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
		
	}

}
