import numeric.*;

public class Exm070303 {
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// Example 7.3.3
		double[][] coeff =
			{ { 4, 3, 0, 24 },
			  { 3, 4, -1, 30 },
			  { 0, -1, 4, -24 } };
		LinearSystemSolver l = new LinearSystemSolver(coeff);
		l.setTolerance(1e-3);
		double[] initial = { 1, 1, 1 };

		SystemDemoView.setNumSignificantDigits(8);

		new SystemDemoView("Gauss-Seidel", l);
		try {
			l.gaussSeidel(initial);
		} catch (ArithmeticException e) {
		}

		new SystemDemoView("SOR", l);
		double omega = 1.25;
		try {
			l.sor(initial, omega);
		} catch (ArithmeticException e) {
		}
	}
}
