/**
 * <p>File: TestLinearSystemIteration.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: June 2009</p>
 * @author Faton M. Berisha
 * @version 4.01
 */

import numeric.*;

public class TestLinearSystemIteration {
	public static void main(String[] args) {
/*		try {
			int n = 0;
			String input =
				JOptionPane.showInputDialog("Ju lutem jepni rendin e sistemit");
			n = new Integer(input).intValue();
		}
		catch ( NumberFormatException e ) {
//			AbstractSystemSolver.err.println(e);
			JOptionPane.showMessageDialog(null, "Input jokorrekt",
					"Gabim!", JOptionPane.ERROR_MESSAGE);
			AbstractSystemSolver.exit(1);
		}
		LinearSystemSolver l = new LinearSystemSolver(n);
		MatrixReader reader = new MatrixReader(l);
		System.out.println("Ju lutem futeni matricn e zgjeruar t sistemit.");
		reader.readElements();
*/
		double[][] coeff =
			{{1, 2, 3, 4},
			 {1, 2, 0, 3},
			 {1, 0, 0, 2}};
		LinearSystemSolver l = new LinearSystemSolver(coeff);
		
		double[] initial = new double[l.getNumEquations()];
//		double[] initial = {0, 100000000, 0.001};
		l.setNumIterations(10);
		l.setTolerance(1E-5);
		
		new SystemDemoView("Metoda e Jacobi-t", l);
		l.jacobi(initial);
		new SystemDemoView("Metoda e Gauss-Seidel-it", l);
		l.gaussSeidel(initial);

	}
}
