/**
 * <p>File: DifferentiableVectorFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: April 2022</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

package numeric;

public class DifferentiableVectorFunction
			implements DifferentiableVectorValued {

	private MultivariateFunction[] f;
	private MultivariateFunction[][] df;
	
	public DifferentiableVectorFunction(MultivariateFunction[] f,
			MultivariateFunction[][] df) {
		this.f = f;
		this.df = df;
	}

	@Override
	public double[] value(double[] x) {
		double[] answer = new double[f.length];
		for ( int i = 0; i < answer.length; i++ ) {
			answer[i] = f[i].value(x);
		}
		return answer;
	}

	@Override
	public double[][] derivative(double[] x) {
		double[][] answer = new double[f.length][x.length];
		for (int i = 0; i < answer.length; i++ ) {
			for ( int j = 0; j < answer[0].length; j++ ) {
				answer[i][j] = df[i][j].value(x);
			}
		}
		return answer;
	}
}
