/**
 * <p>File: DifferentiableFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: January 2016</p>
 * @author Faton M. Berisha
 * @version 6.0.0
 */

package numeric;

import java.util.*;

/**
 * A demo view for matrix transform methods.
 */
public class MatrixDemoView implements Observer {
	private String frameTitle;

	/**
	 * Constructs demo views with title for matrix transform methods.
	 * 
	 * @param frameTitle
	 *            the title of the frame
	 * @param matrix
	 *            the matrix
	 */
	public MatrixDemoView(String frameTitle, Matrix matrix) {
		this.frameTitle = frameTitle;
		matrix.setDemo(true);
		matrix.addObserver(this);
	}

	/**
	 * Constructs demo views for matrix transform methods.
	 * 
	 * @param matrix
	 *            the matrix
	 */
	public MatrixDemoView(Matrix matrix) {
		this("Metoda e eliminimit", matrix);
	}

	public void update(Observable o, Object arg) {
		if (arg instanceof Matrix) {
			new MatrixView(frameTitle, (Matrix) arg);
		}
	}
}
