/**
 * <p>File: VectorValued.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: April 2022</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

package numeric;

/**
 * Interface for a vector-valued function.
 */
public interface VectorValued {
	/**
	 * Returns a value of the multivariate function.
	 * 
	 * @param x
	 *            the <code>double[]</code> argument
	 * @return the <code>double[]</code> value
	 */
	public double[] value(double[] x);
}
